//Declaration de fontes et de variables.
*{box-sizing: border-box;}
@main-color: #4c101d;
@second-color: #dddddd;
@background: #a55e5c;

@font-face {
  font-family: 'Syne-Hybride';
  src: url('fonts/Syne-Hybride.ttf') format('truetype');
}
@font-face {
  font-family: 'Syne-Mono';
  src: url('fonts/Syne-Mono.ttf') format('truetype');
}
@font-face {
  font-family: 'Syne-Italic';
  src: url('fonts/Syne-Italic.ttf') format('truetype');
}

// LA BASE MON GRAS LA BASE

body{
  line-height: normal;
    font-family: 'Syne-Hybride', sans-serif;
    font-size: 10em;
    background: #000;
    color: #fff;
}

body{
  height: 100%;

}

::selection { background: white; }

#trap{
  width: 98vw;
  height: auto;
  position:fixed;
  top:40vh;

  font-variation-settings: "wdth" 1000, "wght" 500;
  text-align:center;
    overflow: visible;
}
[contenteditable]:focus { outline: 0px solid transparent; }
#infos{
    font-family: 'Syne-Mono';
    font-size: 7%;
    position: absolute;
    top:1em;
    left:1em;
    span{
        margin-right:3em;
    }
}

ul{
    list-style-type:none;
    li{
    margin-top:2em;
    }
    .preview{
    font-family: 'Syne-Hybride', sans-serif;
        font-size: 3em;
}
}
// input{
//     font-size:10pt;
//     font-family: 'Syne-Italic';
// position:fixed;
// top:1.2em;
// right:1.2em;
// background:white;
// border: 1px solid #2E1348;
// color: #2E1348;
// padding: .5em;
// }
#trap, #inside{
  height: 100vh;
  width: 100vw;
  overflow: visible !important;
}
.about-button{
position:fixed;
top:2.2em;
right:2.5em;
    font-family: 'Syne-Mono';
    font-size:10pt;
    cursor: w-resize;
}

.sidenav {
    font-family: 'Syne-Mono';
     font-size: 11%;
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    right: 0;
    background-color: white;
    color: black;
    overflow-x: hidden;
    padding-top: 2.2em;
    transition: 0.5s;
}
.sidenav a{
    color: black;
    text-decoration:none;
}
.sidenav a:hover{
    text-decoration:underline;
    cursor: pointer;
}
.sidenav .closebtn {
    position: absolute;
    top: 0;
right:2.5em;
padding-top:2.2em;
    cursor: e-resize !important;
}
.about-text{
padding:2.5em;
}
.about-text a{
    font-family: 'Syne-Italic';
}
